r1242 - trunk/misc/setup

DONOTREPLY at icculus.org DONOTREPLY at icculus.org
Sun Dec 30 16:37:40 EST 2007


Author: zakk
Date: 2007-12-30 16:37:39 -0500 (Sun, 30 Dec 2007)
New Revision: 1242

Added:
   trunk/misc/setup/ioquake3.SlackBuild
   trunk/misc/setup/slack-desc
Log:
Slackbuild patch from Hobbes


Added: trunk/misc/setup/ioquake3.SlackBuild
===================================================================
--- trunk/misc/setup/ioquake3.SlackBuild	                        (rev 0)
+++ trunk/misc/setup/ioquake3.SlackBuild	2007-12-30 21:37:39 UTC (rev 1242)
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+CWD=`pwd`
+BASE=$CWD/../..
+if [ "$TMP" = "" ]; then
+  TMP=/tmp
+fi
+
+# clean, update
+make -C $BASE clean || exit 1
+svn up $BASE || exit 1
+
+# extract version info
+VERSION=`grep "\#define *PRODUCT_VERSION" $BASE/code/qcommon/q_shared.h | \
+  sed -e 's/[^"]*"\(.*\)"/\1/'`
+
+SVN_REV=`LANG=C svnversion $BASE`
+if [ ! "$SVN_REV" = "" ]; then
+  VERSION=${VERSION}_SVN${SVN_REV}
+fi
+
+PKG_VERSION=$VERSION
+
+ARCH=${ARCH:-i586}
+
+BUILD=${BUILD:-1_io}
+
+APP=ioquake3
+
+PKG=$TMP/package-$APP
+
+rm -rf $PKG
+mkdir -p $PKG
+
+# build
+make -C $BASE release copyfiles COPYDIR="$PKG"/usr/games/$APP|| exit 1
+
+# copy additional files
+cp $BASE/BUGS $BASE/COPYING.txt $BASE/ChangeLog $BASE/README $PKG/usr/games/$APP/
+cat $CWD/$APP.SlackBuild > $PKG/usr/games/$APP/$APP.SlackBuild
+
+mkdir -p $PKG/usr/share/$APP/icons
+cp $BASE/misc/quake3.png $PKG/usr/share/$APP/icons/ioquake3.png
+
+mkdir -p $PKG/usr/bin
+cat >> $PKG/usr/bin/ioquake3 << EOF
+#!/bin/sh
+cd /usr/games/$APP/
+./ioquake3.i386 \$*
+exit \$? 
+EOF
+chmod 754 $PKG/usr/bin/ioquake3
+
+mkdir -p $PKG/usr/bin
+cat >> $PKG/usr/bin/ioq3ded << EOF
+#!/bin/sh
+cd /usr/games/$APP/
+./ioq3ded.i386 \$*
+exit \$? 
+EOF
+chmod 754 $PKG/usr/bin/ioq3ded
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cat >> $PKG/install/doinst.sh << EOF
+chmod 754 /usr/games/$APP/*.i386
+chmod 754 /usr/bin/ioquake3 /usr/bin/ioq3ded
+EOF
+chmod +x $PKG/install/doinst.sh
+
+pushd $PKG
+chown -R root:root install/ || exit 1
+chown -R root:games usr/ || exit 1
+/sbin/makepkg -l y -c n $TMP/$APP-$VERSION-$ARCH-$BUILD.tgz
+popd
+

Added: trunk/misc/setup/slack-desc
===================================================================
--- trunk/misc/setup/slack-desc	                        (rev 0)
+++ trunk/misc/setup/slack-desc	2007-12-30 21:37:39 UTC (rev 1242)
@@ -0,0 +1,12 @@
+        |-----handy-ruler------------------------------------------------------|
+ioquake3: ioquake 3 - An open source Quake 3 distribution
+ioquake3: 
+ioquake3: ioquake3 aims to build upon id Software's Quake 3 source code release.
+ioquake3: The source code was released on August 20, 2005 under the GPL. Since
+ioquake3: then code has been cleaned up, bugs have been fixed and features been
+ioquake3: added.
+ioquake3: The permanent goal is to create THE open source Quake 3 distribution
+ioquake3: upon which people base their games and projects.
+ioquake3: 
+ioquake3: http://ioquake3.org/
+ioquake3:  




More information about the quake3-commits mailing list